## install java jdk. 
find downloads page and get latest tarball.
https://www.oracle.com/java/technologies/downloads/

```
wget https://download.oracle.com/java/19/latest/jdk-19_linux-x64_bin.tar.gz
tar -xvf downloaded_file
```
move the extracted folder to /opt
put the extracted location in your path variable
```
export JAVA_HOME=/opt/jdk-19.0.1
export PATH=$PATH:$JAVA_HOME/bin
```

`java --version` to test

## install gradle
https://docs.gradle.org/current/userguide/installation.html
go to gradle.org and find the latest bin.zip file (burried in the `direct link` hyperlink)
```
wget https://services.gradle.org/distributions/gradle-7.6-bin.zip
unzip -d /opt/gradle gradle-7.6-bin.zip
```
point to the gradle install
```
export PATH=$PATH:/opt/gradle/gradle-7.6/bin
gradle -v` to validate
```

## clone this repo
clone 
`git clone https://gitea.hptrow.me/pt/jrunner.git`

build
gradle build`

copy to opt for use
```
sudo cp app/build/distributions/app.zip /opt/
sudo rm -rf /opt/app/
sudo unzip /opt/app.zip -d /opt/
sudo rm /opt/app.zip
sudo chown ptrowbridge:ptrowbridge -R /opt/app/
```
